using System;
using System.Collections;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    // このクラスは　CA1035 に違反しています。
    public class Rule1035 : ICollection
    {
        public int Count
        {
            get
            {
                return 0;
            }
        }

        public bool IsSynchronized
        {
            get
            {
                return false;
            }
        }

        public object SyncRoot
        {
            get
            {
                return null;
            }
        }

        public void CopyTo(Array array, int index)
        {
            array.SetValue("", index);
        }

        public IEnumerator GetEnumerator()
        {
            return null;
        }
    }
}
